diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/menu.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/menu.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/menu.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 22,28 ****
   * @var array
   */
  
! $menu[2] = array( __('Dashboard'), 'read', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'div' );
  
  $submenu[ 'index.php' ][0] = array( __('Home'), 'read', 'index.php' );
  
--- 22,28 ----
   * @var array
   */
  
! $menu[2] = array( __('Dashboard'), 'read', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'none' );
  
  $submenu[ 'index.php' ][0] = array( __('Home'), 'read', 'index.php' );
  
***************
*** 34,48 ****
  	$update_data = wp_get_update_data();
  
  if ( ! is_multisite() ) {
! 	$submenu[ 'index.php' ][10] = array( sprintf( __('Updates %s'), "<span class='update-plugins count-{$update_data['counts']['total']}' title='{$update_data['title']}'><span class='update-count'>" . number_format_i18n($update_data['counts']['total']) . "</span></span>" ), 'update_core',  'update-core.php');
  }
  
  $menu[4] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
  
! $menu[5] = array( __('Posts'), 'edit_posts', 'edit.php', '', 'open-if-no-js menu-top menu-icon-post', 'menu-posts', 'div' );
  	$submenu['edit.php'][5]  = array( __('All Posts'), 'edit_posts', 'edit.php' );
  	/* translators: add new post */
! 	$submenu['edit.php'][10]  = array( _x('Add New', 'post'), 'edit_posts', 'post-new.php' );
  
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
--- 34,55 ----
  	$update_data = wp_get_update_data();
  
  if ( ! is_multisite() ) {
! 	if ( current_user_can( 'update_core' ) )
! 		$cap = 'update_core';
! 	elseif ( current_user_can( 'update_plugins' ) )
! 		$cap = 'update_plugins';
! 	else
! 		$cap = 'update_themes';
! 	$submenu[ 'index.php' ][10] = array( sprintf( __('Updates %s'), "<span class='update-plugins count-{$update_data['counts']['total']}' title='{$update_data['title']}'><span class='update-count'>" . number_format_i18n($update_data['counts']['total']) . "</span></span>" ), $cap, 'update-core.php');
! 	unset( $cap );
  }
  
  $menu[4] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
  
! $menu[5] = array( __('Posts'), 'edit_posts', 'edit.php', '', 'open-if-no-js menu-top menu-icon-post', 'menu-posts', 'none' );
  	$submenu['edit.php'][5]  = array( __('All Posts'), 'edit_posts', 'edit.php' );
  	/* translators: add new post */
! 	$submenu['edit.php'][10]  = array( _x('Add New', 'post'), get_post_type_object( 'post' )->cap->create_posts, 'post-new.php' );
  
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
***************
*** 53,73 ****
  	}
  	unset($tax);
  
! $menu[10] = array( __('Media'), 'upload_files', 'upload.php', '', 'menu-top menu-icon-media', 'menu-media', 'div' );
  	$submenu['upload.php'][5] = array( __('Library'), 'upload_files', 'upload.php');
  	/* translators: add new file */
  	$submenu['upload.php'][10] = array( _x('Add New', 'file'), 'upload_files', 'media-new.php');
  
! $menu[15] = array( __('Links'), 'manage_links', 'link-manager.php', '', 'menu-top menu-icon-links', 'menu-links', 'div' );
  	$submenu['link-manager.php'][5] = array( _x('All Links', 'admin menu'), 'manage_links', 'link-manager.php' );
  	/* translators: add new links */
  	$submenu['link-manager.php'][10] = array( _x('Add New', 'link'), 'manage_links', 'link-add.php' );
  	$submenu['link-manager.php'][15] = array( __('Link Categories'), 'manage_categories', 'edit-tags.php?taxonomy=link_category' );
  
! $menu[20] = array( __('Pages'), 'edit_pages', 'edit.php?post_type=page', '', 'menu-top menu-icon-page', 'menu-pages', 'div' );
  	$submenu['edit.php?post_type=page'][5] = array( __('All Pages'), 'edit_pages', 'edit.php?post_type=page' );
  	/* translators: add new page */
! 	$submenu['edit.php?post_type=page'][10] = array( _x('Add New', 'page'), 'edit_pages', 'post-new.php?post_type=page' );
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
  		if ( ! $tax->show_ui || ! in_array('page', (array) $tax->object_type, true) )
--- 60,87 ----
  	}
  	unset($tax);
  
! $menu[10] = array( __('Media'), 'upload_files', 'upload.php', '', 'menu-top menu-icon-media', 'menu-media', 'none' );
  	$submenu['upload.php'][5] = array( __('Library'), 'upload_files', 'upload.php');
  	/* translators: add new file */
  	$submenu['upload.php'][10] = array( _x('Add New', 'file'), 'upload_files', 'media-new.php');
+ 	foreach ( get_taxonomies_for_attachments( 'objects' ) as $tax ) {
+ 		if ( ! $tax->show_ui )
+ 			continue;
+ 
+ 		$submenu['upload.php'][$i++] = array( esc_attr( $tax->labels->menu_name ), $tax->cap->manage_terms, 'edit-tags.php?taxonomy=' . $tax->name . '&amp;post_type=attachment' );
+ 	}
+ 	unset($tax);
  
! $menu[15] = array( __('Links'), 'manage_links', 'link-manager.php', '', 'menu-top menu-icon-links', 'menu-links', 'none' );
  	$submenu['link-manager.php'][5] = array( _x('All Links', 'admin menu'), 'manage_links', 'link-manager.php' );
  	/* translators: add new links */
  	$submenu['link-manager.php'][10] = array( _x('Add New', 'link'), 'manage_links', 'link-add.php' );
  	$submenu['link-manager.php'][15] = array( __('Link Categories'), 'manage_categories', 'edit-tags.php?taxonomy=link_category' );
  
! $menu[20] = array( __('Pages'), 'edit_pages', 'edit.php?post_type=page', '', 'menu-top menu-icon-page', 'menu-pages', 'none' );
  	$submenu['edit.php?post_type=page'][5] = array( __('All Pages'), 'edit_pages', 'edit.php?post_type=page' );
  	/* translators: add new page */
! 	$submenu['edit.php?post_type=page'][10] = array( _x('Add New', 'page'), get_post_type_object( 'page' )->cap->create_posts, 'post-new.php?post_type=page' );
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
  		if ( ! $tax->show_ui || ! in_array('page', (array) $tax->object_type, true) )
***************
*** 79,85 ****
  
  $awaiting_mod = wp_count_comments();
  $awaiting_mod = $awaiting_mod->moderated;
! $menu[25] = array( sprintf( __('Comments %s'), "<span class='awaiting-mod count-$awaiting_mod'><span class='pending-count'>" . number_format_i18n($awaiting_mod) . "</span></span>" ), 'edit_posts', 'edit-comments.php', '', 'menu-top menu-icon-comments', 'menu-comments', 'div' );
  unset($awaiting_mod);
  
  $submenu[ 'edit-comments.php' ][0] = array( __('All Comments'), 'edit_posts', 'edit-comments.php' );
--- 93,99 ----
  
  $awaiting_mod = wp_count_comments();
  $awaiting_mod = $awaiting_mod->moderated;
! $menu[25] = array( sprintf( __('Comments %s'), "<span class='awaiting-mod count-$awaiting_mod'><span class='pending-count'>" . number_format_i18n($awaiting_mod) . "</span></span>" ), 'edit_posts', 'edit-comments.php', '', 'menu-top menu-icon-comments', 'menu-comments', 'none' );
  unset($awaiting_mod);
  
  $submenu[ 'edit-comments.php' ][0] = array( __('All Comments'), 'edit_posts', 'edit-comments.php' );
***************
*** 97,103 ****
  		$menu_icon   = esc_url( $ptype_obj->menu_icon );
  		$ptype_class = $ptype_for_id;
  	} else {
! 		$menu_icon   = 'div';
  		$ptype_class = 'post';
  	}
  
--- 111,117 ----
  		$menu_icon   = esc_url( $ptype_obj->menu_icon );
  		$ptype_class = $ptype_for_id;
  	} else {
! 		$menu_icon   = 'none';
  		$ptype_class = 'post';
  	}
  
***************
*** 108,114 ****
  
  	$menu[$ptype_menu_position] = array( esc_attr( $ptype_obj->labels->menu_name ), $ptype_obj->cap->edit_posts, "edit.php?post_type=$ptype", '', 'menu-top menu-icon-' . $ptype_class, 'menu-posts-' . $ptype_for_id, $menu_icon );
  	$submenu["edit.php?post_type=$ptype"][5]  = array( $ptype_obj->labels->all_items, $ptype_obj->cap->edit_posts,  "edit.php?post_type=$ptype");
! 	$submenu["edit.php?post_type=$ptype"][10]  = array( $ptype_obj->labels->add_new, $ptype_obj->cap->edit_posts, "post-new.php?post_type=$ptype" );
  
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
--- 122,128 ----
  
  	$menu[$ptype_menu_position] = array( esc_attr( $ptype_obj->labels->menu_name ), $ptype_obj->cap->edit_posts, "edit.php?post_type=$ptype", '', 'menu-top menu-icon-' . $ptype_class, 'menu-posts-' . $ptype_for_id, $menu_icon );
  	$submenu["edit.php?post_type=$ptype"][5]  = array( $ptype_obj->labels->all_items, $ptype_obj->cap->edit_posts,  "edit.php?post_type=$ptype");
! 	$submenu["edit.php?post_type=$ptype"][10]  = array( $ptype_obj->labels->add_new, $ptype_obj->cap->create_posts, "post-new.php?post_type=$ptype" );
  
  	$i = 15;
  	foreach ( get_taxonomies( array(), 'objects' ) as $tax ) {
***************
*** 123,134 ****
  $menu[59] = array( '', 'read', 'separator2', '', 'wp-menu-separator' );
  
  if ( current_user_can( 'switch_themes') ) {
! 	$menu[60] = array( __('Appearance'), 'switch_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  		$submenu['themes.php'][5]  = array(__('Themes'), 'switch_themes', 'themes.php');
  		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
  			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php');
  } else {
! 	$menu[60] = array( __('Appearance'), 'edit_theme_options', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  		$submenu['themes.php'][5]  = array(__('Themes'), 'edit_theme_options', 'themes.php');
  		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
  			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php' );
--- 137,148 ----
  $menu[59] = array( '', 'read', 'separator2', '', 'wp-menu-separator' );
  
  if ( current_user_can( 'switch_themes') ) {
! 	$menu[60] = array( __('Appearance'), 'switch_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'none' );
  		$submenu['themes.php'][5]  = array(__('Themes'), 'switch_themes', 'themes.php');
  		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
  			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php');
  } else {
! 	$menu[60] = array( __('Appearance'), 'edit_theme_options', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'none' );
  		$submenu['themes.php'][5]  = array(__('Themes'), 'edit_theme_options', 'themes.php');
  		if ( current_theme_supports( 'menus' ) || current_theme_supports( 'widgets' ) )
  			$submenu['themes.php'][10] = array(__('Menus'), 'edit_theme_options', 'nav-menus.php' );
***************
*** 142,172 ****
  	add_submenu_page('themes.php', _x('Editor', 'theme editor'), _x('Editor', 'theme editor'), 'edit_themes', 'theme-editor.php');
  }
  
! $menu_perms = get_site_option( 'menu_items', array() );
! if ( ! is_multisite() || is_super_admin() || ! empty( $menu_perms['plugins'] ) ) {
  	if ( ! isset( $update_data ) )
  		$update_data = wp_get_update_data();
  
! 	$count = '';
! 	if ( ! is_multisite() && current_user_can( 'update_plugins' ) )
! 		$count = "<span class='update-plugins count-{$update_data['counts']['plugins']}'><span class='plugin-count'>" . number_format_i18n($update_data['counts']['plugins']) . "</span></span>";
  
! 	$menu[65] = array( sprintf( __('Plugins %s'), $count ), 'activate_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div' );
  
! 	$submenu['plugins.php'][5]  = array( __('Installed Plugins'), 'activate_plugins', 'plugins.php' );
  
! 		if ( ! is_multisite() ) {
! 			/* translators: add new plugin */
! 			$submenu['plugins.php'][10] = array( _x('Add New', 'plugin'), 'install_plugins', 'plugin-install.php' );
! 			$submenu['plugins.php'][15] = array( _x('Editor', 'plugin editor'), 'edit_plugins', 'plugin-editor.php' );
! 		}
! }
! unset($menu_perms, $update_data);
  
  if ( current_user_can('list_users') )
! 	$menu[70] = array( __('Users'), 'list_users', 'users.php', '', 'menu-top menu-icon-users', 'menu-users', 'div' );
  else
! 	$menu[70] = array( __('Profile'), 'read', 'profile.php', '', 'menu-top menu-icon-users', 'menu-users', 'div' );
  
  if ( current_user_can('list_users') ) {
  	$_wp_real_parent_file['profile.php'] = 'users.php'; // Back-compat for plugins adding submenus to profile.php.
--- 156,184 ----
  	add_submenu_page('themes.php', _x('Editor', 'theme editor'), _x('Editor', 'theme editor'), 'edit_themes', 'theme-editor.php');
  }
  
! $count = '';
! if ( ! is_multisite() && current_user_can( 'update_plugins' ) ) {
  	if ( ! isset( $update_data ) )
  		$update_data = wp_get_update_data();
+ 	$count = "<span class='update-plugins count-{$update_data['counts']['plugins']}'><span class='plugin-count'>" . number_format_i18n($update_data['counts']['plugins']) . "</span></span>";
+ }
  
! $menu[65] = array( sprintf( __('Plugins %s'), $count ), 'activate_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'none' );
  
! $submenu['plugins.php'][5]  = array( __('Installed Plugins'), 'activate_plugins', 'plugins.php' );
  
! 	if ( ! is_multisite() ) {
! 		/* translators: add new plugin */
! 		$submenu['plugins.php'][10] = array( _x('Add New', 'plugin'), 'install_plugins', 'plugin-install.php' );
! 		$submenu['plugins.php'][15] = array( _x('Editor', 'plugin editor'), 'edit_plugins', 'plugin-editor.php' );
! 	}
  
! unset( $update_data );
  
  if ( current_user_can('list_users') )
! 	$menu[70] = array( __('Users'), 'list_users', 'users.php', '', 'menu-top menu-icon-users', 'menu-users', 'none' );
  else
! 	$menu[70] = array( __('Profile'), 'read', 'profile.php', '', 'menu-top menu-icon-users', 'menu-users', 'none' );
  
  if ( current_user_can('list_users') ) {
  	$_wp_real_parent_file['profile.php'] = 'users.php'; // Back-compat for plugins adding submenus to profile.php.
***************
*** 186,192 ****
  		$submenu['profile.php'][10] = array(__('Add New User'), 'promote_users', 'user-new.php');
  }
  
! $menu[75] = array( __('Tools'), 'edit_posts', 'tools.php', '', 'menu-top menu-icon-tools', 'menu-tools', 'div' );
  	$submenu['tools.php'][5] = array( __('Available Tools'), 'edit_posts', 'tools.php' );
  	$submenu['tools.php'][10] = array( __('Import'), 'import', 'import.php' );
  	$submenu['tools.php'][15] = array( __('Export'), 'export', 'export.php' );
--- 198,204 ----
  		$submenu['profile.php'][10] = array(__('Add New User'), 'promote_users', 'user-new.php');
  }
  
! $menu[75] = array( __('Tools'), 'edit_posts', 'tools.php', '', 'menu-top menu-icon-tools', 'menu-tools', 'none' );
  	$submenu['tools.php'][5] = array( __('Available Tools'), 'edit_posts', 'tools.php' );
  	$submenu['tools.php'][10] = array( __('Import'), 'import', 'import.php' );
  	$submenu['tools.php'][15] = array( __('Export'), 'export', 'export.php' );
***************
*** 195,207 ****
  	if ( ! is_multisite() && defined('WP_ALLOW_MULTISITE') && WP_ALLOW_MULTISITE )
  		$submenu['tools.php'][50] = array(__('Network Setup'), 'manage_options', 'network.php');
  
! $menu[80] = array( __('Settings'), 'manage_options', 'options-general.php', '', 'menu-top menu-icon-settings', 'menu-settings', 'div' );
  	$submenu['options-general.php'][10] = array(_x('General', 'settings screen'), 'manage_options', 'options-general.php');
  	$submenu['options-general.php'][15] = array(__('Writing'), 'manage_options', 'options-writing.php');
  	$submenu['options-general.php'][20] = array(__('Reading'), 'manage_options', 'options-reading.php');
  	$submenu['options-general.php'][25] = array(__('Discussion'), 'manage_options', 'options-discussion.php');
  	$submenu['options-general.php'][30] = array(__('Media'), 'manage_options', 'options-media.php');
- 	$submenu['options-general.php'][35] = array(__('Privacy'), 'manage_options', 'options-privacy.php');
  	$submenu['options-general.php'][40] = array(__('Permalinks'), 'manage_options', 'options-permalink.php');
  
  $_wp_last_utility_menu = 80; // The index of the last top-level menu in the utility menu group
--- 207,218 ----
  	if ( ! is_multisite() && defined('WP_ALLOW_MULTISITE') && WP_ALLOW_MULTISITE )
  		$submenu['tools.php'][50] = array(__('Network Setup'), 'manage_options', 'network.php');
  
! $menu[80] = array( __('Settings'), 'manage_options', 'options-general.php', '', 'menu-top menu-icon-settings', 'menu-settings', 'none' );
  	$submenu['options-general.php'][10] = array(_x('General', 'settings screen'), 'manage_options', 'options-general.php');
  	$submenu['options-general.php'][15] = array(__('Writing'), 'manage_options', 'options-writing.php');
  	$submenu['options-general.php'][20] = array(__('Reading'), 'manage_options', 'options-reading.php');
  	$submenu['options-general.php'][25] = array(__('Discussion'), 'manage_options', 'options-discussion.php');
  	$submenu['options-general.php'][30] = array(__('Media'), 'manage_options', 'options-media.php');
  	$submenu['options-general.php'][40] = array(__('Permalinks'), 'manage_options', 'options-permalink.php');
  
  $_wp_last_utility_menu = 80; // The index of the last top-level menu in the utility menu group
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/ms-delete-site.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/ms-delete-site.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/ms-delete-site.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/ms-delete-site.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 25,30 ****
--- 25,32 ----
  	}
  }
  
+ $blog = get_blog_details();
+ 
  $title = __( 'Delete Site' );
  $parent_file = 'tools.php';
  require_once( './admin-header.php' );
***************
*** 72,78 ****
  	<form method="post" name="deletedirect">
  		<?php wp_nonce_field( 'delete-blog' ) ?>
  		<input type="hidden" name="action" value="deleteblog" />
! 		<p><input id="confirmdelete" type="checkbox" name="confirmdelete" value="1" /> <label for="confirmdelete"><strong><?php printf( __( "I'm sure I want to permanently disable my site, and I am aware I can never get it back or use %s again." ), is_subdomain_install() ? $current_blog->domain : $current_blog->domain . $current_blog->path ); ?></strong></label></p>
  		<?php submit_button( __( 'Delete My Site Permanently' ) ); ?>
  	</form>
   	<?php
--- 74,80 ----
  	<form method="post" name="deletedirect">
  		<?php wp_nonce_field( 'delete-blog' ) ?>
  		<input type="hidden" name="action" value="deleteblog" />
! 		<p><input id="confirmdelete" type="checkbox" name="confirmdelete" value="1" /> <label for="confirmdelete"><strong><?php printf( __( "I'm sure I want to permanently disable my site, and I am aware I can never get it back or use %s again." ), is_subdomain_install() ? $blog->domain : $blog->domain . $blog->path ); ?></strong></label></p>
  		<?php submit_button( __( 'Delete My Site Permanently' ) ); ?>
  	</form>
   	<?php
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/nav-menus.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/nav-menus.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/nav-menus.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/nav-menus.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 22,40 ****
  if ( ! current_user_can('edit_theme_options') )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
- // jQuery
- wp_enqueue_script( 'jquery-ui-draggable' );
- wp_enqueue_script( 'jquery-ui-droppable' );
- wp_enqueue_script( 'jquery-ui-sortable' );
- 
- // Nav Menu functions
  wp_enqueue_script( 'nav-menu' );
  
- // Metaboxes
- wp_enqueue_script( 'common' );
- wp_enqueue_script( 'wp-lists' );
- wp_enqueue_script( 'postbox' );
- 
  if ( wp_is_mobile() )
  	wp_enqueue_script( 'jquery-touch-punch' );
  
--- 22,29 ----
***************
*** 450,463 ****
  'title'		=> __('Overview'),
  'content'	=>
  	'<p>' . __('This feature allows you to use a custom menu in place of your theme&#8217;s default menus.') . '</p>' .
! 	'<p>' . __('Custom menus may contain links to pages, categories, custom links or other content types (use the Screen Options tab to decide which ones to show on the screen). You can specify a different navigation label for a menu item as well as other attributes. You can create multiple menus. If your theme includes more than one menu, you can choose which custom menu to associate with each. You can also use custom menus in conjunction with the Custom Menus widget.') . '</p>' .
! 	'<p>' . __('If your theme does not support the custom menus feature yet (the default themes, Twenty Eleven and Twenty Ten, do), you can learn about adding this support by following the Documentation link to the side.') . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'create-menus',
  'title'		=> __('Create Menus'),
  'content'	=>
! 	'<p>' . __('To create a new custom menu, click on the + tab, give the menu a name, and click Create Menu. Next, add menu items from the appropriate boxes. You&#8217;ll be able to edit the information for each menu item, and can drag and drop to put them in order. You can also drag a menu item a little to the right to make it a submenu, to create menus with hierarchy. Drop the item into its new nested placement when the dotted rectangle target shifts over, also a little to the right. Don&#8217;t forget to click Save when you&#8217;re finished.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 439,452 ----
  'title'		=> __('Overview'),
  'content'	=>
  	'<p>' . __('This feature allows you to use a custom menu in place of your theme&#8217;s default menus.') . '</p>' .
! 	'<p>' . __('Custom menus may contain links to pages, categories, custom links or other content types (use the Screen Options tab to decide which ones to show on the screen). You can specify a different navigation label for a menu item as well as other attributes. You can create multiple menus. If your theme includes more than one menu location, you can choose which custom menu to associate with each. You can also use custom menus in conjunction with the Custom Menus widget.') . '</p>' .
! 	'<p>' . sprintf( __('If your theme does not support the custom menus feature (the default themes, %1$s and %2$s, do), you can learn about adding this support by following the Documentation link to the side.'), 'Twenty Twelve', 'Twenty Eleven' ) . '</p>'
  ) );
  get_current_screen()->add_help_tab( array(
  'id'		=> 'create-menus',
  'title'		=> __('Create Menus'),
  'content'	=>
! 	'<p>' . __('To create a new custom menu, click on the + tab, give the menu a name, and click Create Menu. Next, add menu items from the appropriate boxes. You&#8217;ll be able to edit the information for each menu item, and can drag and drop to change their order. You can also drag a menu item a little to the right to make it a submenu. Don&#8217;t forget to click Save Menu when you&#8217;re finished.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/network/menu.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network/menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/network/menu.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network/menu.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 38,44 ****
  	$menu[20] = array( __('Plugins'), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div' );
  }
  $submenu['plugins.php'][5]  = array( __('Installed Plugins'), 'manage_network_plugins', 'plugins.php' );
! $submenu['plugins.php'][10] = array( _x('Add New', 'plugin editor'), 'install_plugins', 'plugin-install.php' );
  $submenu['plugins.php'][15] = array( _x('Editor', 'plugin editor'), 'edit_plugins', 'plugin-editor.php' );
  
  $menu[25] = array(__('Settings'), 'manage_network_options', 'settings.php', '', 'menu-top menu-icon-settings', 'menu-settings', 'div');
--- 38,44 ----
  	$menu[20] = array( __('Plugins'), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div' );
  }
  $submenu['plugins.php'][5]  = array( __('Installed Plugins'), 'manage_network_plugins', 'plugins.php' );
! $submenu['plugins.php'][10] = array( _x('Add New', 'plugin'), 'install_plugins', 'plugin-install.php' );
  $submenu['plugins.php'][15] = array( _x('Editor', 'plugin editor'), 'edit_plugins', 'plugin-editor.php' );
  
  $menu[25] = array(__('Settings'), 'manage_network_options', 'settings.php', '', 'menu-top menu-icon-settings', 'menu-settings', 'div');
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/network/settings.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network/settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/network/settings.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/network/settings.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 44,96 ****
  
  	check_admin_referer( 'siteoptions' );
  
- 	if ( isset( $_POST['WPLANG'] ) && ( '' === $_POST['WPLANG'] || in_array( $_POST['WPLANG'], get_available_languages() ) ) )
- 		update_site_option( 'WPLANG', $_POST['WPLANG'] );
- 
- 	if ( is_email( $_POST['admin_email'] ) )
- 		update_site_option( 'admin_email', $_POST['admin_email'] );
- 
- 	$illegal_names = explode( ' ', $_POST['illegal_names'] );
- 	foreach ( (array) $illegal_names as $name ) {
- 		$name = trim( $name );
- 		if ( $name != '' )
- 			$names[] = trim( $name );
- 	}
- 	update_site_option( 'illegal_names', $names );
- 
- 	if ( $_POST['limited_email_domains'] != '' ) {
- 		$limited_email_domains = str_replace( ' ', "\n", $_POST['limited_email_domains'] );
- 		$limited_email_domains = explode( "\n", stripslashes( $limited_email_domains ) );
- 		$limited_email = array();
- 		foreach ( (array) $limited_email_domains as $domain ) {
- 			$domain = trim( $domain );
- 			if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
- 				$limited_email[] = trim( $domain );
- 		}
- 		update_site_option( 'limited_email_domains', $limited_email );
- 	} else {
- 		update_site_option( 'limited_email_domains', '' );
- 	}
- 
- 	if ( $_POST['banned_email_domains'] != '' ) {
- 		$banned_email_domains = explode( "\n", stripslashes( $_POST['banned_email_domains'] ) );
- 		$banned = array();
- 		foreach ( (array) $banned_email_domains as $domain ) {
- 			$domain = trim( $domain );
- 			if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
- 				$banned[] = trim( $domain );
- 		}
- 		update_site_option( 'banned_email_domains', $banned );
- 	} else {
- 		update_site_option( 'banned_email_domains', '' );
- 	}
- 
- 	$options = array( 'registrationnotification', 'registration', 'add_new_users', 'menu_items', 'upload_space_check_disabled', 'blog_upload_space', 'upload_filetypes', 'site_name', 'first_post', 'first_page', 'first_comment', 'first_comment_url', 'first_comment_author', 'welcome_email', 'welcome_user_email', 'fileupload_maxk', 'global_terms_enabled' );
  	$checked_options = array( 'menu_items' => array(), 'registrationnotification' => 'no', 'upload_space_check_disabled' => 1, 'add_new_users' => 0 );
  	foreach ( $checked_options as $option_name => $option_unchecked_value ) {
  		if ( ! isset( $_POST[$option_name] ) )
  			$_POST[$option_name] = $option_unchecked_value;
  	}
  	foreach ( $options as $option_name ) {
  		if ( ! isset($_POST[$option_name]) )
  			continue;
--- 44,63 ----
  
  	check_admin_referer( 'siteoptions' );
  
  	$checked_options = array( 'menu_items' => array(), 'registrationnotification' => 'no', 'upload_space_check_disabled' => 1, 'add_new_users' => 0 );
  	foreach ( $checked_options as $option_name => $option_unchecked_value ) {
  		if ( ! isset( $_POST[$option_name] ) )
  			$_POST[$option_name] = $option_unchecked_value;
  	}
+ 
+ 	$options = array(
+ 		'registrationnotification', 'registration', 'add_new_users', 'menu_items',
+ 		'upload_space_check_disabled', 'blog_upload_space', 'upload_filetypes', 'site_name',
+ 		'first_post', 'first_page', 'first_comment', 'first_comment_url', 'first_comment_author',
+ 		'welcome_email', 'welcome_user_email', 'fileupload_maxk', 'global_terms_enabled',
+ 		'illegal_names', 'limited_email_domains', 'banned_email_domains', 'WPLANG', 'admin_email',
+ 	);
+ 
  	foreach ( $options as $option_name ) {
  		if ( ! isset($_POST[$option_name]) )
  			continue;
